Page MenuHomePhabricator

'impact_module_state' is a required property
Closed, ResolvedPublic

Description

This happens for the HomepageVisit schema on Bengali wikipedia, where we have the Impact module disabled (T270294: Scale: deploy without impact module). We hadn't noticed this issue before because Impact module has always been enabled on all other wikis.

Event Timeline

kostajh triaged this task as High priority.Feb 24 2021, 1:02 PM
kostajh created this task.

Change 666619 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[schemas/event/secondary@master] homepagevisit: Make impact_module_state optional

https://gerrit.wikimedia.org/r/666619

Change 666620 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Impact module: Add "not rendered" state

https://gerrit.wikimedia.org/r/666620

Change 666621 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] testwiki: Bump HomepageVisit EventLogging schema version

https://gerrit.wikimedia.org/r/666621

@kostajh -- what are the implications of this error? Does it mean we are recording no HomepageVisit events for this wiki? Or is it less severe?

@kostajh -- what are the implications of this error? Does it mean we are recording no HomepageVisit events for this wiki? Or is it less severe?

Yes, due to validation errors we are not recording HomepageVisit events for this wiki.

@kostajh -- what are the implications of this error? Does it mean we are recording no HomepageVisit events for this wiki? Or is it less severe?

Yes, due to validation errors we are not recording HomepageVisit events for this wiki.

@MMiller_WMF there are multiple patches involved in fixing this, is it OK to wait for HomepageVisit events for bnwiki to begin recording on next Thursday when the next train is in group2, or do we want to try to line up several backports today or early next week?

Change 666621 abandoned by Kosta Harlan:
[operations/mediawiki-config@master] testwiki: Bump HomepageVisit EventLogging schema version

Reason:
Not needed due to If4062472a285238d8763e88a046e8b7b65b18ad1

https://gerrit.wikimedia.org/r/666621

Change 666840 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Impact: Use "notrendered" state for event logging

https://gerrit.wikimedia.org/r/666840

Change 666842 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] EventLoggingSchemas: Bump HomepageVisit version

https://gerrit.wikimedia.org/r/666842

Change 666620 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Impact module: Add "not rendered" state

https://gerrit.wikimedia.org/r/666620

Change 666704 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.32] Impact module: Add "not rendered" state

https://gerrit.wikimedia.org/r/666704

Change 666704 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.32] Impact module: Add "not rendered" state

https://gerrit.wikimedia.org/r/666704

Mentioned in SAL (#wikimedia-operations) [2021-02-25T19:40:37Z] <tgr@deploy1001> Synchronized php-1.36.0-wmf.32/extensions/GrowthExperiments/: Backport: [[gerrit:666704|Impact module: Add "not rendered" state (T270294, T275615)]] (duration: 01m 26s)

Change 666986 had a related patch set uploaded (by Gergő Tisza; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.31] Impact module: Add "not rendered" state

https://gerrit.wikimedia.org/r/666986

Change 666986 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.31] Impact module: Add "not rendered" state

https://gerrit.wikimedia.org/r/666986

Mentioned in SAL (#wikimedia-operations) [2021-02-25T20:17:05Z] <tgr@deploy1001> Synchronized php-1.36.0-wmf.31/extensions/GrowthExperiments/: Backport: [[gerrit:666704|Impact module: Add "not rendered" state (T270294, T275615)]] (duration: 01m 08s)

@kostajh -- it is okay to wait for the train. Issues with HomepageVisit do not substantially impact our reporting, and it's only on one wiki.

Change 666842 abandoned by Kosta Harlan:
[operations/mediawiki-config@master] EventLoggingSchemas: Bump HomepageVisit version

Reason:
According to T259163 we should be removing the schema entries from here since we have them in extension.json now

https://gerrit.wikimedia.org/r/666842

Change 666619 merged by Gergő Tisza:
[schemas/event/secondary@master] homepagevisit: Add new state for impact module

https://gerrit.wikimedia.org/r/666619

Change 666842 restored by Gergő Tisza:
[operations/mediawiki-config@master] EventLoggingSchemas: Bump HomepageVisit version

https://gerrit.wikimedia.org/r/666842

Change 666842 merged by jenkins-bot:
[operations/mediawiki-config@master] EventLoggingSchemas: Bump HomepageVisit version

https://gerrit.wikimedia.org/r/666842

Mentioned in SAL (#wikimedia-operations) [2021-03-01T19:41:14Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:666842|EventLoggingSchemas: Bump HomepageVisit version (T275615)]] (duration: 00m 56s)

Change 666840 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Impact: Use "notrendered" state for event logging

https://gerrit.wikimedia.org/r/666840

Mentioned in SAL (#wikimedia-operations) [2021-03-02T00:33:38Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: REDEPLOY: Config: [[gerrit:666842|EventLoggingSchemas: Bump HomepageVisit version (T275615)]] (duration: 00m 56s)

Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.33 - no impact_module_state errors are present (and no other errors for bnwiki).